漏洞信息详情

LibRaw 数字错误漏洞

  • CNNVD编号:CNNVD-201812-313
  • 危害等级: 高危
  • CVE编号: CVE-2018-5816
  • 漏洞类型: 数字错误
  • 发布时间: 2018-12-10
  • 威胁类型: 远程
  • 更新时间: 2018-12-10
  • 厂        商: Canonical
  • 漏洞来源:

漏洞简介

LibRaw是LibRaw团队开发的一个用来处理RAW(CRW/CR2、NEF、RAF、DNG和others)格式图片的C++库。

LibRaw 0.18.12之前版本中的internal/dcraw_common.cpp文件的‘identify()’函数存在整数溢出漏洞。远程攻击者可借助特制的NOKIARAW文件利用该漏洞造成拒绝服务(除零错误)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/LibRaw/LibRaw/blob/master/Changelog.txt

参考网址

来源:github.com

链接:https://github.com/LibRaw/LibRaw/blob/master/Changelog.txt

来源:github.com

链接:https://github.com/LibRaw/LibRaw/commit/1d8d1b452e5dc74033ee9f846081a0efb616cc39

来源:secuniaresearch.flexerasoftware.com

链接:https://secuniaresearch.flexerasoftware.com/advisories/83507/

来源:secuniaresearch.flexerasoftware.com

链接:https://secuniaresearch.flexerasoftware.com/secunia_research/2018-14/

来源:usn.ubuntu.com

链接:https://usn.ubuntu.com/3838-1/

漏洞信息快速查询

相关漏洞

更多